Kerbal Space Program - Bug #19511

Can't edit or construct a spacecraft or move while in EVA after conducting (Transmit data) a
scientific experiment on the mystery goo and-or the SC -9001 science jr.

08/13/2018 08:14 AM - Bb

Status: Closed Start date: 08/13/2018
Severity: Low % Done: 100%
Assignee:
Category: Gameplay
Target version: PS4 - Enhanced Edition 2019-03-28

Patch 3
Version: PS4 - Enhanced Edition 2018-07-19 Language: English (US)
Platform: PS4 Mod Related: No
Expansion: Core Game
Description

e After conducting the scientific experiment on any spacecraft, i will not be able to edit parts in VAB, transmuting the data with an
antenna will trigger it or failing to do so then recovering the vessel will also trigger it, generally just saying "yes" to the "are you
sure you about that" thingy will make the bug trigger .recovering the vessel after choosing to keep the experiment will not
trigger it, processing the experiment in a mobile lab also will not; 100% of the time, the only way to fix this is to close the game
entirely, then re enter..................... *For a side note: my options are default all across it, using radial control........... *Please patch
this, getting science points early on makes it a bit harder with those two,and even more annoying onward if you want to get the
best out of your spaceship , please patch this at your earliest convenience..............cccee....... * Edit: after | continued my play
through....man....this thing just opens pandora's box! It gives 2 more bugs! sigh...*1: you will not be able to control the kerbel
when he/she goes EVA. 2: if you retract your landing gear, it will loop the sound effect for eternity. Boy, this bug really
do opens pandora's box, and am feeling that i have just scratched the surface of this shit hole, And who knows if
there’s more bugs from this bug!........... *Now if you ask me why it happens....| would point my fingers at the
"assurance" thingy, you know? the one i already mentioned, i dont know nor i care how that pitiful thing can wrack so
much havoc, maybe fixing it won't be easy, but a way to go around it? | dont have to be a game developer to know that
going going around it would be much easier, you can just give us the option to "don't show this again”, sure the bug
will still exists, but it wont happen again since the pop up won't appear again, meaning you wont encounter the bug
again! or.... you can just outright remove it, genius right!..*sigh....| went on for too long yea? .Again please fix this at your
earliest convenience........ *PS: This bug may exist on the Xbox, but i don't have a friend there nor i have it my self, it would be
nice for someone to confirm it.

History

#1 - 08/21/2018 07:28 AM - Bb

- Subject changed from Can't edit the spacecraft after conducting a scientific experiment to Can't edit the spacecraft or move while in EVA after
conducting a scientific experiment on the mystery goo and the SC -9001 science jr.

- Description updated

#2 - 08/21/2018 07:28 AM - Bb

- Subject changed from Can't edit the spacecraft or move while in EVA after conducting a scientific experiment on the mystery goo and the SC -9001
science jr. to Can't edit the spacecraft or move while in EVA after conducting a scientific experiment on the mystery goo and-or the SC -9001 science

jr.

#3 - 08/21/2018 07:30 AM - Bb

- Description updated

#4 - 08/23/2018 10:33 AM - Bb

- Description updated

#5 - 08/23/2018 10:34 AM - Bb

- Description updated

#6 - 08/23/2018 10:37 AM - Bb
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#7 - 08/23/2018 10:42 AM - Bb

- Subject changed from Can't edit the spacecraft or move while in EVA after conducting a scientific experiment on the mystery goo and-or the SC
-9001 science jr. to Can't edit or construct a spacecraft or move while in EVA after conducting a scientific experiment on the mystery goo and-or the
SC -9001 science jr.

#8 - 09/18/2018 03:53 PM - Bb

- Description updated

#9 - 09/25/2018 08:23 PM - Bb
- Description updated

- Category changed from Parts to Gameplay

#10 - 09/25/2018 08:25 PM - Bb
- Description updated

#11 - 09/25/2018 08:34 PM - Bb

- Subject changed from Can't edit or construct a spacecraft or move while in EVA after conducting a scientific experiment on the mystery goo and-or
the SC -9001 science jr. to Can't edit or construct a spacecraft or move while in EVA after conducting (Transmit data) a scientific experiment on the
mystery goo and-or the SC -9001 science jr.

- Description updated

#12 - 09/26/2018 02:23 AM - Bb

- Description updated

#13 - 09/26/2018 02:25 AM - Bb

- Description updated

#14 - 09/27/2018 10:42 AM - Bb

- Description updated

#15 - 03/28/2019 05:15 AM - joshua.collins

- Status changed from Confirmed to Ready to Test

- Target version set to PS4 - Enhanced Edition 2019-03-28 Patch 3
- % Done changed from 10 to 80

#16 - 07/24/2019 11:39 PM - chris.fulton
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

#17 - 07/24/2019 11:39 PM - chris.fulton

- Status changed from Resolved to Closed
